Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]


Groups > linux.kernel > #1422387

[PATCH 1/4] coccicheck: propagate error and stop processing after first error

From "Luis R. Rodriguez" <mcgrof@kernel.org>
Newsgroups linux.kernel
Subject [PATCH 1/4] coccicheck: propagate error and stop processing after first error
Date 2016-06-15 00:20 +0200
Message-ID <rK4QF-2oZ-9@gated-at.bofh.it> (permalink)
References <rK4QF-2oZ-11@gated-at.bofh.it>
Organization linux.* mail to news gateway

Show all headers | View raw


Propagate back in the shell Coccinelle's error. Also stop
processing if an error has occured. This lets us handle some
errors in coccinelle cocci files and if they bail out we should
inspect the errors. This will be more useful later to help annotate
coccinelle version dependency requirements.

Signed-off-by: Luis R. Rodriguez <mcgrof@kernel.org>
---
 scripts/coccicheck | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/scripts/coccicheck b/scripts/coccicheck
index 37db7ac1dfae..ba7301ab0a3d 100755
--- a/scripts/coccicheck
+++ b/scripts/coccicheck
@@ -215,6 +215,11 @@ run_cmd_parmap() {
 		echo "Running ($NPROC in parallel): $@"
 	fi
 	$@ 2> ${DIR}/coccicheck.$$.err
+	if [[ $? -ne 0 ]]; then
+		echo "coccicheck failed"
+		cat $${DIR}/coccicheck.$$.err
+		exit $?
+	fi
 }
 
 run_cmd_old() {
-- 
2.8.2

Back to linux.kernel | Previous | Next | Find similar | Unroll thread


Thread

[PATCH 1/4] coccicheck: propagate error and stop processing after first error "Luis R. Rodriguez" <mcgrof@kernel.org> - 2016-06-15 00:20 +0200

csiph-web